curl --request GET \
--url https://api.example.com/runs/{id}/configuration \
--header 'Authorization: Bearer <token>'{
"version": 1,
"graph": "fix_build.fabro",
"goal": "Diagnose and fix CI build failures",
"directory": "<string>",
"llm": {
"model": "claude-sonnet",
"provider": "anthropic",
"fallbacks": {}
},
"setup": {
"commands": [
"<string>"
],
"timeout_ms": 123
},
"sandbox": {
"provider": "daytona",
"preserve": true,
"devcontainer": true,
"daytona": {
"auto_stop_interval": 123,
"labels": {},
"snapshot": {
"name": "<string>",
"cpu": 123,
"memory": 123,
"disk": 123,
"dockerfile": "<string>"
},
"network": "block"
},
"exe": {
"image": "<string>"
},
"ssh": {
"destination": "<string>",
"working_directory": "<string>",
"config_file": "<string>"
},
"local": {
"worktree_mode": "clean"
},
"env": {}
},
"vars": {},
"hooks": [
{
"event": "run_start",
"name": "<string>",
"command": "<string>",
"type": "command",
"url": "<string>",
"headers": {},
"allowed_env_vars": [
"<string>"
],
"tls": "verify",
"prompt": "<string>",
"model": "<string>",
"max_tool_rounds": 123,
"matcher": "<string>",
"blocking": true,
"timeout_ms": 123,
"sandbox": true
}
]
}Returns the structured configuration used to launch this run.
curl --request GET \
--url https://api.example.com/runs/{id}/configuration \
--header 'Authorization: Bearer <token>'{
"version": 1,
"graph": "fix_build.fabro",
"goal": "Diagnose and fix CI build failures",
"directory": "<string>",
"llm": {
"model": "claude-sonnet",
"provider": "anthropic",
"fallbacks": {}
},
"setup": {
"commands": [
"<string>"
],
"timeout_ms": 123
},
"sandbox": {
"provider": "daytona",
"preserve": true,
"devcontainer": true,
"daytona": {
"auto_stop_interval": 123,
"labels": {},
"snapshot": {
"name": "<string>",
"cpu": 123,
"memory": 123,
"disk": 123,
"dockerfile": "<string>"
},
"network": "block"
},
"exe": {
"image": "<string>"
},
"ssh": {
"destination": "<string>",
"working_directory": "<string>",
"config_file": "<string>"
},
"local": {
"worktree_mode": "clean"
},
"env": {}
},
"vars": {},
"hooks": [
{
"event": "run_start",
"name": "<string>",
"command": "<string>",
"type": "command",
"url": "<string>",
"headers": {},
"allowed_env_vars": [
"<string>"
],
"tls": "verify",
"prompt": "<string>",
"model": "<string>",
"max_tool_rounds": 123,
"matcher": "<string>",
"blocking": true,
"timeout_ms": 123,
"sandbox": true
}
]
}JWT bearer token issued by fabro-web. See the Authentication guide for details.
Unique run identifier (ULID).
Run configuration
Structured run configuration mirroring WorkflowRunConfig.
Configuration schema version.
1
DOT graph filename.
"fix_build.fabro"
Goal description for the run.
"Diagnose and fix CI build failures"
Working directory for the run.
LLM provider and model settings.
Show child attributes
Setup commands run before the workflow.
Show child attributes
Sandbox execution environment settings.
Show child attributes
Variable map for template expansion.
Show child attributes
Show child attributes